/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.file;

import java.io.File;

public class FilePath
{
	public static String getFullPath(String home, String path)
	{
		home = fixPath(home);
		path = fixPath(path);

		if(path.indexOf(File.separatorChar) == 0 || path.indexOf(":") == 1)
		{
			return path;
		}
		else
		{
			return home+File.separatorChar+path;
		}
	}

	public static String fixPath(String path)
	{
		if(File.separatorChar == '/')
		{
			return path.replace('\\', '/');
		}
		else
		{
			return path.replace('/', '\\');
		}
  	}
}