/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.lang;


public class Between extends Function implements BooleanFunction
{
	private IntFunction data;
	private IntFunction compare;
	private IntFunction compare1;

	private static final FunctionType[][] allow = {{FunctionType.INT_FUNCTION, FunctionType.INT_FUNCTION, FunctionType.INT_FUNCTION}};

	public FunctionType[][] strict()
	{
		return allow;
	}

	public void params(Function[] params) throws ParameterException
	{
		this.data =    (IntFunction)params[0];
		this.compare = (IntFunction)params[1];
		this.compare1 = (IntFunction)params[2];
	}

	public boolean getBoolean() throws FunctionException
	{
		return ((data.getInt() > compare.getInt()) && (data.getInt() < compare1.getInt()));
	}
}