/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.lang;

import amberstone.system.*;

public class LineNumber extends Function implements IntFunction, BooleanFunction
{
	public static int LINE_NUMBER;
	private int compare;

	private static final FunctionType[][] allow = {{}, {FunctionType.NUMBER_LITERAL}};


	public FunctionType[][] strict()
	{
		return allow;
	}

	public void params(Function params[])
	{
		if(params.length == 1)
		{
			this.compare = ((NumberLiteral)params[0]).getInt();
		}
	}

	public int getInt()
	{
		return LINE_NUMBER;
	}

	public boolean getBoolean()
	{
		return LINE_NUMBER == compare;
	}
}