/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.lang;

import amberstone.system.Logger;

public class ParameterException extends CompilationException
{

	public ParameterException(Function badParam,
				              String message)
	{
		super(badParam.getTokenIndex(), message);
		//System.out.print("Token index:"+badParam.getTokenIndex());
	}

	public ParameterException(Function badParam,
							  String message,
							  Exception cause)
	{
		super(badParam.getTokenIndex(), message, cause);
	}

	public ParameterException(int tokenIndex,
				              String message)
	{
		super(tokenIndex, message);
	}

	public ParameterException(int tokenIndex,
							  String message,
							  Exception cause)
	{
		super(tokenIndex, message, cause);
	}
}