/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.lang;

import amberstone.data.Key;
import amberstone.data.IntKey;

public class ShiftLeft extends Function implements IntFunction, KeyFunction
{
	private IntKey key = new IntKey();
	private IntFunction intFunc;
	private int shift;

	private static final FunctionType[][] allow = {{FunctionType.INT_FUNCTION, FunctionType.NUMBER_LITERAL}};

	public FunctionType[][] strict()
	{
		return allow;
	}

	public void params(Function[] params) throws ParameterException
	{
		this.intFunc = (IntFunction)params[0];
		this.shift = ((NumberLiteral)params[1]).getInt();
	}

	public int getInt() throws FunctionException
	{
		int data = intFunc.getInt();
		return data << this.shift;
	}

	public Key getKey() throws FunctionException
	{
		key.setInt(getInt());
		return key;
	}
}