/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import amberstone.summary.Range;
import amberstone.summary.RangeFilter;

import java.io.*;
import java.util.*;

public class DayDir
{
	private File dir;
	private Comparator comp;

	public DayDir(File dir, Comparator comp)
	{
		this.dir = dir;
		this.comp = comp;
	}

	public List<Block> getBlocks()
	{
		File[] dirs = dir.listFiles();

		Arrays.sort(dirs, comp);
		List<Block> blocks = new ArrayList();
		for(int y=0; y<dirs.length; y++)
		{
			Block block = new Block(dirs[y]);
			blocks.add(block);
		}

		return blocks;
	}

	public String toString()
	{
		return dir.getPath();
	}
}