/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import amberstone.lang.*;
import amberstone.data.ByteArray;

public class ReadBytes implements Read
{
	private BytesFunction func;
	private String name;
	private String value;

	public ReadBytes(String name, String value)
	{
		this.name = name;
		this.value = value;
	}

	public ReadBytes(String name, BytesFunction func)
	{
		this.name = name;
		this.func = func;
	}

	public void read() throws FunctionException
	{
		ByteArray b = func.getBytes();
		this.value = b.toString();
	}

	public String getName()
	{
		return this.name;
	}

	public String getValue()
	{
		return this.value;
	}

	public long getLong()
	{
		return 0l;
	}
}