/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import java.io.FileFilter;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.List;
import java.util.ArrayList;

import amberstone.system.*;
import amberstone.data.DataRecord;
import amberstone.data.ByteArray;
import amberstone.file.*;
import amberstone.lang.*;
import amberstone.summary.*;
import amberstone.time.*;

public class Reader
{
	private Config config;

	public static Selector select;
	public static DataRecord dataRecord;
	public static Printer printer = new DefaultPrinter();
	private int count;

	private	int recNum = 0;

	public Reader(Config config) throws Exception
	{
		this.config = config;
	}

	public void read(int startYYYYMMDD, int endYYYYMMDD) throws Exception
	{
		printer.open();

		int maxFileSize = Integer.parseInt(config.getProperty(Config.INDEX_BLOCK_SIZE));
		String indexDir = config.getIndexConfig().getIndexDir();
		select.open(maxFileSize, indexDir, dataRecord, startYYYYMMDD, endYYYYMMDD);

		Record record = null;

		while((record = select.next()) != null)
		{
			printer.print(record);
		}

		printer.close();
	}
}
