/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.summary;

import amberstone.lang.*;
import amberstone.data.*;

public class ActiveYearMonthDay extends Function implements KeyFunction, Dimension, LongFunction, IntFunction
{
	public static IntKey ACTIVE_KEY = new IntKey();

	private static final FunctionType[][] allow = {};

	public FunctionType[][] strict()
	{
		return allow;
	}

	public String getDimension()
	{
		return "day";
	}

	public Key getKey()
	{
		return ACTIVE_KEY;
	}

	public long getLong()
	{
		return ACTIVE_KEY.longValue();

	}

	public int getInt()
	{
		return ACTIVE_KEY.intValue();
	}
}