/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.summary;

public class Range
{
	private int begin;
	private int end;

	public Range(int begin, int end)
	{
		this.begin = begin;
		this.end = end;
	}

	public int getBegin()
	{
		return this.begin;
	}

	public int getEnd()
	{
		return this.end;
	}

	public boolean equals(Object o)
	{
		Range r = (Range)o;
		if(begin == r.begin && end == r.end)
		{
			return true;
		}
		else
		{
			return false;
		}
	}

	public int hashCode()
	{
		return begin+end;
	}

	public boolean inRange(int test)
	{
		if(test >= begin && test<=end)
		{
			return true;
		}
		else
		{
			return false;
		}
	}

	public String toString()
	{
		StringBuilder buf =  new StringBuilder();
		buf.append("[");
		buf.append(begin);
		buf.append("-");
		buf.append(end);
		buf.append("]");

		return buf.toString();
	}
}