/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

import amberstone.dictionary.*;
import amberstone.load.Loader;
import java.util.Map;
import java.util.Iterator;

class CloseDictionaries extends Thread
{
	private Config c;

	public CloseDictionaries(Config _c)
	{
		this.c = _c;
	}

	public void run()
	{
		Loader.go = false;
		int i = 0;
		while(Loader.running)
		{
			System.out.println("Stopping loader at a consistent point...");

			if(++i > 10)
			{
				System.out.println("Loader my still be running.");
				break;
			}
			try
			{
				Thread.sleep(200);
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		}

		Map<String, Dictionary> dicts = c.getDictionaries();

		Iterator it = dicts.values().iterator();

		//System.out.println("-Closing dictionaries");

		while(it.hasNext())
		{
			DiskDictionary dd = (DiskDictionary)it.next();
			try
			{
				dd.close();
			}
			catch(Exception e)
			{
				System.out.println("Error opening dictionary:"+dd.getName());
				e.printStackTrace();
			}
		}
	}
}