/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

import amberstone.resources.*;
import java.util.Map;
import java.util.Iterator;

class CloseResources extends Thread
{
	private Config c;

	public CloseResources(Config _c)
	{
		this.c = _c;
	}

	public void run()
	{
		Map<String, Resource> resources = c.getResources();

		Iterator it = resources.values().iterator();

		//System.out.println("-Closing resources");

		while(it.hasNext())
		{
			DiskResource dr = (DiskResource)it.next();

			try
			{
				dr.close();
			}
			catch(Exception e)
			{
				System.out.print("Error closing resource:"+dr.getName());
				e.printStackTrace();
			}
		}
	}
}