/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

class Selector
{
	private String selectors[];

	public Selector(String selector)
	{
		String[] vals = selector.split(",");
		this.selectors = new String[vals.length];
		for(int i=0; i<vals.length; i++)
		{
			selectors[i] = vals[i].trim();
		}
	}

	public boolean valid()
	{
		for(int i=0; i<selectors.length; i++)
		{
			if(!(selectors[i].indexOf(".") == 0 || selectors[i].indexOf("#") == 0))
			{
				return false;
			}
		}

		return true;
	}

	public String usage()
	{
		return "Selector must start with . or #";
	}

	public boolean matches(String name, String cl)
	{
		for(int i=0; i<selectors.length; i++)
		{
			String selector = selectors[i];
			if(selector.indexOf("#") == 0)
			{
				selector = selector.substring(1);
				if(selector.equals(name))
				{
					return true;
				}
			}
			else if(selector.indexOf(".") == 0)
			{
				selector = selector.substring(1);
				if(cl != null)
				{
					String[] classes = cl.split(",");
					for(int j=0; j<classes.length; j++)
					{
						cl = classes[j];
						cl = cl.trim();
						if(selector.equals(cl))
						{
							return true;
						}
					}
				}
			}
		}

		return false;
	}
}