/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

import java.io.*;

public class Trace
{
	public void trace(Throwable t, String context, String dir)
	{
		PrintWriter out = null;

		try
		{
			out = new PrintWriter(new FileWriter(new File(new File(dir), context+".trace")));
			t.printStackTrace(out);
			System.out.println(context+".trace file created");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		finally
		{
			try
			{
				out.close();
			}
			catch(Exception e1)
			{
				e1.printStackTrace();
			}
		}
	}


}