/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.transaction;

import amberstone.lang.Function;
import amberstone.lang.IntFunction;
import amberstone.lang.TransactionFunction;
import amberstone.lang.FunctionType;
import amberstone.lang.FunctionException;

public class Duration extends Function implements IntFunction
{
	private TransactionFunction transactionFunc;


	private static final FunctionType[][] allow = {{ FunctionType.TRANSACTION_FUNCTION }};

	public FunctionType[][] strict()
	{
		return allow;
	}

	public void params(Function[] params)
	{
		this.transactionFunc = (TransactionFunction)params[0];
	}

	public int getInt() throws FunctionException
	{
		Transaction t = transactionFunc.getTransaction();
		return t.getDuration();
	}
}