/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.util;

import java.io.Externalizable;
import java.io.ObjectOutput;
import java.io.ObjectInput;
import java.io.IOException;

public class MutableInteger implements Externalizable
{
	private int i;

	public MutableInteger()
	{

	}

	public MutableInteger(int i)
	{
		this.i = i;
	}

	public void setInt(int i)
	{
		this.i = i;
	}

	public int getInt()
	{
		return i;
	}

	public int hashCode()
	{
		return i;
	}

	public boolean equals(Object o)
	{
		MutableInteger w = (MutableInteger)o;
		if(i == w.i)
		{
			return true;
		}
		else
		{
			return false;
		}
	}

	public void writeExternal(ObjectOutput out)
		throws IOException
	{
		out.writeInt(i);
	}

	public void readExternal(ObjectInput in)
		throws IOException, ClassNotFoundException
	{
		i = in.readInt();
	}
}