 /*
 *
 *	Copyright 2012 Joel Bernstein
 *
 *	Licensed under the Apache License, Version 2.0 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 *	 http://www.apache.org/licenses/LICENSE-2.0
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 *
 */

 package amberstone.util;

public class Primes
{
	public static void main(String[] args)
	{
		int test = Integer.parseInt(args[0]);
		long begin = System.nanoTime();

		int prime = selectPrime(test);

		long end = System.nanoTime();


		System.out.println(prime+" : "+Double.toString((double)(end-begin)/(double)1000000));
	}

	public static int selectPrime(int p)
	{
		while(true)
		{
			if(isPrime(p))
			{
				return p;
			}
			else
			{
				p++;
			}
		}
	}

	public static int selectPrimeCandidate(int num)
	{
		while(true)
		{
			if((++num & 0x01) > 0 && (num % 5) != 0)
			{
				return num;
			}
		}
	}

	private static boolean isPrime(int num)
	{

		if((num & 0x01) > 0 && (num % 5) != 0)
		{
			for(int i=(int)num/2; i>2; i--)
			{
				if((num % i) == 0)
				{
					return false;
				}
			}

			return true;
		}
		else
		{
			return false;
		}
	}
}